From bed01a2968a05cdd73055ca3b3ae6c0255022453 Mon Sep 17 00:00:00 2001
From: Jiaxun Yang <jiaxun.yang@flygoat.com>
Date: Sun, 24 May 2020 15:26:56 +0800
Subject: [PATCH] LS2K: Correct OHCI IRQ in DT

Signed-off-by: Jiaxun Yang <jiaxun.yang@flygoat.com>
---
 arch/mips/boot/dts/loongson/loongson2k.dts | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/arch/mips/boot/dts/loongson/loongson2k.dts b/arch/mips/boot/dts/loongson/loongson2k.dts
index b19bcdef494ce..9480556b0bb26 100644
--- a/arch/mips/boot/dts/loongson/loongson2k.dts
+++ b/arch/mips/boot/dts/loongson/loongson2k.dts
@@ -121,14 +121,14 @@
 				interrupt-parent = <&liointc1>;
 			};
 
-			ehci@4,2 {
+			ohci@4,2 {
 				compatible = "pci0014,7a24.0",
 						   "pci0014,7a24",
 						   "pciclass0c0310",
 						   "pciclass0c03";
 
 				reg = <0x2200 0x0 0x0 0x0 0x0>;
-				interrupts = <17 IRQ_TYPE_LEVEL_LOW>;
+				interrupts = <19 IRQ_TYPE_LEVEL_LOW>;
 				interrupt-parent = <&liointc1>;
 			};
 
